=== added directory 'sale_extended'
=== added file 'sale_extended/__init__.py'
--- sale_extended/__init__.py	1970-01-01 00:00:00 +0000
+++ sale_extended/__init__.py	2009-12-07 20:00:16 +0000
@@ -0,0 +1,32 @@
+##############################################################################
+#
+# Copyright (c) 2009 Netquatro C.A. (http://openerp.netquatro.com/) All Rights Reserved.
+#                    Javier Duran <javier.duran@netquatro.com>
+# 
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+
+import sale
+import partner

=== added file 'sale_extended/__terp__.py'
--- sale_extended/__terp__.py	1970-01-01 00:00:00 +0000
+++ sale_extended/__terp__.py	2009-12-07 20:00:16 +0000
@@ -0,0 +1,49 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+# Copyright (c) 2009 Netquatro C.A. (http://openerp.netquatro.com/) All Rights Reserved.
+#                    Javier Duran <javier.duran@netquatro.com>
+# 
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+{
+	"name" : "Orden de compra revision",
+	"version" : "0.1",
+	"author" : "Netquatro",
+	"category" : "Generic Modules",
+	"website": "http://openerp.netquatro.com/",
+	"description": "Verificacion en la orden de la referencia del cliente",
+	"depends" : ["base", "sale"],
+	"init_xml" : [],
+	"demo_xml" : [
+
+    ], 
+	"update_xml" : [
+            "partner_view.xml",
+            "sale_workflow.xml"
+    ],
+	"active": False,
+	"installable": True
+}

=== added file 'sale_extended/partner.py'
--- sale_extended/partner.py	1970-01-01 00:00:00 +0000
+++ sale_extended/partner.py	2009-12-07 20:00:16 +0000
@@ -0,0 +1,43 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+# Copyright (c) 2009 Netquatro C.A. (http://openerp.netquatro.com/) All Rights Reserved.
+#                    Javier Duran <javier.duran@netquatro.com>
+# 
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+from osv import fields, osv
+
+
+class res_partner(osv.osv):
+    _inherit = 'res.partner'
+    _description = "Orden Compra requerida"
+    _columns = {
+        'ocreq': fields.boolean('¿Orden de Compra Requerida?', help="Indica si se necesita una orden de compra para generar el pedido de venta"),
+
+   }
+
+
+res_partner()

=== added file 'sale_extended/partner_view.xml'
--- sale_extended/partner_view.xml	1970-01-01 00:00:00 +0000
+++ sale_extended/partner_view.xml	2009-12-07 20:00:16 +0000
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+
+
+	<!-- 
+	=====================================================
+	Partners Extension
+	=====================================================
+	-->  
+
+        <record id="partner_sale_view_form_loc_ve" model="ir.ui.view">
+            <field name="name">partner_sale.res.partner.form.view.loc_ve</field>
+            <field name="model">res.partner</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="base.view_partner_form"/>
+            <field name="arch" type="xml">
+                <notebook>
+                    <page string="Loc. Venezuela" position="inside">
+                        <field name="ocreq"/>
+                    </page>
+                </notebook>
+            </field>
+        </record>
+
+
+    </data>
+</openerp>

=== added file 'sale_extended/sale.py'
--- sale_extended/sale.py	1970-01-01 00:00:00 +0000
+++ sale_extended/sale.py	2009-12-07 20:00:16 +0000
@@ -0,0 +1,60 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+# Copyright (c) 2009 Netquatro C.A. (http://openerp.netquatro.com/) All Rights Reserved.
+#                    Javier Duran <javier.duran@netquatro.com>
+# 
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+from osv import osv, fields
+from tools.translate import _
+
+
+class sale_order(osv.osv):
+    _inherit = "sale.order"
+    
+    _sql_constraints = [
+        ('o_ref_partner_uniq', 'unique (client_order_ref,partner_id)', 'La orden de compra debe ser unica por Cliente !')
+    ]
+    
+
+
+    def test_ocreq(self, cr, uid, ids):
+        res = True
+        for os in self.browse(cr, uid, ids):
+            if not os.partner_id:
+                raise osv.except_osv(_('Error, No hay Cliente !'),
+                    _('Por favor seleccione un cliente, si desea generar la factura.'))
+
+            valor = os.client_order_ref and os.client_order_ref.strip()
+            if os.partner_id.ocreq and not valor:
+                raise osv.except_osv(_('Error, No hay Orden de Compra !'),
+                    _('Por introduzca el Nro. de la orden de compra del cliente, si desea generar la factura.'))
+
+
+        return res
+
+    
+sale_order()

=== added file 'sale_extended/sale_workflow.xml'
--- sale_extended/sale_workflow.xml	1970-01-01 00:00:00 +0000
+++ sale_extended/sale_workflow.xml	2009-12-07 20:00:16 +0000
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+
+		<record model="workflow.transition" id="sale.trans_draft_router">
+            <field name="condition">test_ocreq()</field>
+		</record>
+	
+        
+    </data>
+</openerp>

